From: Antonio Terceiro <terceiro@debian.org>
Date: Thu, 9 Apr 2020 11:10:03 -0300
Subject: Don't run rspec via bundler

Closes: #956300
---
 CMakeLists.txt | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 4d27ea0..9315fda 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -223,11 +223,9 @@ add_subdirectory(locales)
 # Add test executables for unit testing
 add_test(NAME "libfacter\\ tests" COMMAND libfacter_test)
 if (RUBY_FOUND)
-    find_program(BUNDLER_PATH NAMES bundle.bat bundle)
-    if (BUNDLER_PATH)
-        message(STATUS "Bundler found, installing dependencies for Ruby tests...")
-        execute_process(COMMAND ${BUNDLER_PATH} install --retry 2 --path=vendor/bundle WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/lib")
-        add_test(NAME "libfacter\\ specs" COMMAND ${BUNDLER_PATH} exec rspec WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/lib")
+    find_program(RSPEC_PATH NAMES rspec)
+    if (RSPEC_PATH)
+        add_test(NAME "libfacter\\ specs" COMMAND ${RSPEC_PATH} WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/lib")
     endif()
 endif()
 # Debian: disable the smoke tests, as the build environment lacks necessary
